package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum ePassType {
    All(0),//全部
    Approval(1),//待审核
    Passed(2),//已通过
    Rejected(3),//已拒绝
    Reload(4);//重新发起

    private int value;

    ePassType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static ePassType valueOf(int value) {
        switch (value) {
            case 0:
                return ePassType.All;
            case 1:
                return ePassType.Approval;
            case 2:
                return ePassType.Passed;
            case 3:
                return ePassType.Rejected;
            case 4:
                return ePassType.Reload;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 0:
                return "全部";
            case 1:
                return "待审核";
            case 2:
                return "已通过";
            case 3:
                return "已拒绝";
            case 4:
                return "已重新发起";
            default:
                return null;
        }
    }
}
